<?php

namespace Fifa\ConnectId\Sdk\MessageHandlers;

class MessageHandlersUtil
{
    private function __construct() {
    }

    public static function FullName(MessageHandlerInterface $messageHandler) : string {
        return get_class($messageHandler);
    }

    public static function FullNameWithMessageType(MessageHandlerInterface $messageHandler, string $messageType) : string {
        return sprintf('%s (%s)', self::FullName($messageHandler), $messageType);
    }
}